%define		realname qca-tls
Summary:	Qt Cryptographic Architecture (QCA) SSL/TLS plugin
Summary(pl.UTF-8):	Wtyczka SSL/TLS dla Qt Cryptographic Architecture (QCA)
Name:		qt-plugin-%{realname}
Version:	1.0
Release:	13
Epoch:		1
License:	LGPL v2.1
Group:		Libraries
Source0:	http://delta.affinix.com/qca/%{realname}-%{version}.tar.bz2
# Source0-md5:	886b1f60fc31de3b1a0bd93281e27b73
Patch0:		%{name}-openssl9x.patch
Patch1:		openssl.patch
URL:		http://delta.affinix.com/qca/
BuildRequires:	libstdc++-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	qmake
BuildRequires:	qt-devel >= 6:3.1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_plugindir %{_libdir}/qt/plugins-mt/crypto

%description
A plugin to provide SSL/TLS capability to programs that utilize the Qt
Cryptographic Architecture (QCA).

%description -l pl.UTF-8
Wtyczka pozwalająca wykorzystać możliwości SSL/TLS w programach
korzystających z Qt Cryptographic Architecture (QCA).

%prep
%setup -qn %{realname}-%{version}
%patch0 -p1
%patch1 -p1

%build
export QTDIR=%{_prefix}
./configure

qmake %{realname}.pro \
	QMAKE_CXX="%{__cxx}" \
	QMAKE_LINK="%{__cxx}" \
	QMAKE_CXXFLAGS_RELEASE="%{rpmcflags}" \
	QMAKE_RPATH=

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_plugindir}/*.so
%changelog
* Sun Jul 21 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qt-plugin-qca-tls.git;a=log;h=master

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 999243a
- release 13

* Mon May 03 2010 Elan Ruusamäe <glen@pld-linux.org> b6c4d5e
- release 12

* Mon May 03 2010 Elan Ruusamäe <glen@pld-linux.org> d59d403
- todos los stupidos

* Mon May 03 2010 Elan Ruusamäe <glen@pld-linux.org> 7561e7c
- fix build with openssl 1.0; rel 11

* Wed Apr 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d932afe
- release 10

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 480f86a
- release 9

* Sun Apr 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 183201e
- release 8

* Sat Apr 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 38bde88
- rel 7

* Wed Mar 19 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 809c473
- rel 6

* Mon Sep 17 2007 Jan Rękorajski <baggins@pld-linux.org> ed880e2
- rel 5

* Tue Apr 10 2007 shadzik <shadzik@pld-linux.org> 2c5f716
- qt-devel epoch (still 6)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> bde619a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 01ad40c
- converted to UTF-8

* Mon Aug 07 2006 Paweł Sikora <pluto@pld-linux.org> 9c2bb54
- build fix for new openssl, release 4.

* Mon Aug 07 2006 Paweł Sikora <pluto@pld-linux.org> 6c5c69a
- proper casts for openssl >= 0.9.7.

* Wed Apr 13 2005 Paweł Sikora <pluto@pld-linux.org> f77276a
- BR += qmake.

* Wed Nov 03 2004 jpc <jpc@pld-linux.org> 5711d2a
- new standalone library and plugin releases
- based on old qt-plugins-qca-tls and psi.spec

* Mon Aug 09 2004 havner <havner@pld-linux.org> d855524
- rel 2

* Sat Jun 12 2004 Paweł Sikora <pluto@pld-linux.org> 5f64724
- license fixed.

* Sat Mar 27 2004 adgor <adgor@pld-linux.org> feb5ad6
- plugins-mt/crypto should be owned by qt

